org.vertx.java.core.net.impl

## Enum TCPSSLHelper.ClientAuth

- java.lang.Object
- - java.lang.Enum<TCPSSLHelper.ClientAuth>
  - - org.vertx.java.core.net.impl.TCPSSLHelper.ClientAuth

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TCPSSLHelper.ClientAuth>

Enclosing class:
  TCPSSLHelper

    public static enum TCPSSLHelper.ClientAuth
    extends java.lang.Enum<TCPSSLHelper.ClientAuth>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NONE`
`REQUEST`
`REQUIRED`

### Method Summary

Methods
`static TCPSSLHelper.ClientAuth` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TCPSSLHelper.ClientAuth[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final TCPSSLHelper.ClientAuth NONE

#### REQUEST

    public static final TCPSSLHelper.ClientAuth REQUEST

#### REQUIRED

    public static final TCPSSLHelper.ClientAuth REQUIRED

### Method Detail

#### values

    public static TCPSSLHelper.ClientAuth[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TCPSSLHelper.ClientAuth c : TCPSSLHelper.ClientAuth.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TCPSSLHelper.ClientAuth valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null